version: "3"

services:
  dictation_client:
    build: .
    working_dir: /app/dictation_client
    ports:
      - "3001:3001"
      - "6007:6007"
    volumes:
      - ../../:/app
      - node_modules:/app/dictation_client/node_modules
    expose:
      - "3001"
      - "6007"
    environment:
      - CHOKIDAR_USEPOLLING=true

# Data Volume として永続化する
volumes:
  node_modules:
